Re: [LAU] options for hard real time kernel for raring 13.04 + nvidia

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
To: Linux-audio-user@lists.linuxaudio.org <linux-audio-user@...>
Date: Thursday, September 12, 2013 - 11:54 am

--089e01634aa678d77104e62e66ad
Content-Type: text/plain; charset=ISO-8859-1

I don't use Ubuntu/Debian but I do use Linux-rt + nVidia, in all of my H/W.
So i thought i would clarify a point or two;

> Found some suggestions about patching the nvidia driver with some

last

This above patch only works for Nvidia driver < 325.xx ...

1. For Nvidia's newest drivers ~ you need my nvidia325xx-rt patch;

http://sourceforge.net/projects/l-proaudio/files/nvidia-325xx-rt.patch/d...

(for me, this patch works fine on 3.8-rt and 3.10-rt. haven't tested
anything older... I'm sure it's fine). When building the kernel module
(don't know where this is done in Debian/ubuntu) you must ignore the
PREEMPT_RT check in nvidia's installer, something like this;

" make IGNORE_PREEMPT_RT_PRESENCE=1
SYSSRC=/usr/lib/modules/"${_kernver}/build" module "

2. I've also made available a patch for 319.32, patched for kernel 3.10
support (which then can be patched with the old rt patch, above
"patch-3.0-rt-nvidia.patch"). - This is mainly for people who've
experienced regressions with the 325xx nvidia driver, Patch is here;

http://sourceforge.net/projects/l-proaudio/files/nVidia-319.32_lk310.pat...

I've also started a thread @ nvidia's dev portal about nvidia-rt;

https://devtalk.nvidia.com/default/topic/572468/linux/nvidia-325-15-linu...

There aren't specific distro instructions, but a general "run down",
instead. I don't know how different distros package nvidia, so it's beyond
my own scope...and Since, i only use Archlinux, it is the only distro that
i personally am concerned with. + anyone can see how Archlinux handles
nvidia-rt by either reading through Arch's PKGBUILD in AUR;
https://aur.archlinux.org/packages/nv/nvidia-rt/PKGBUILD ... then find out
how to made your own distro apply what is needed.

cheerz

Jordan

--089e01634aa678d77104e62e66ad
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

I don't use Ubuntu/Debian but I do use Linux-rt + nVid=
ia, in all of my H/W. So i thought i would clarify a point or two;=

he nvidia driver with some
And last >time I had fiddled with nvidia driver it was the most pain=
ful experience > ever..:)>>Did you try the patch in my=
Github repository? You can download it with:
nvidia-rt/master/patch-3.0-rt-nvidia.patch
This above patch only works for Nvidia driver < 325.xx=A0 ...1. =
For Nvidia's newest drivers ~ you need my nvidia325xx-rt patch; http://sourceforge.net/projects/l-proaudio/files/nvidia-3=
25xx-rt.patch/download

(for me, this patch works fine on 3.8-=
rt and 3.10-rt. haven't tested anything older... I'm sure it's =
fine). When building the kernel module (don't know where this is done i=
n Debian/ubuntu) you must ignore the PREEMPT_RT check in nvidia's insta=
ller, something like this;
" make IGNORE_PREEMPT_RT_PRESENCE=3D1 SYSSRC=3D/usr/lib/modules/&q=
uot;${_kernver}/build" module "2. I've also made available a patch for 319.32, patched for kern=
el 3.10 support (which then can be patched with the old rt patch, above &qu=
ot;patch-3.0-rt-nvidia.patch"). - This is mainly for people who've=
experienced regressions with the 325xx nvidia driver, Patch is here;
http://sourceforge.net/projects/l-proaudio/files/n=
Vidia-319.32_lk310.patch/download
<=
br>
I've =
also started a thread @ nvidia's dev portal about nvidia-rt;https://devtalk.nvidia.com/default/topic/572468/linux/nvidia-325-=
15-linux-rt-old-amp-amp-new-nvidia-rt-patch-methods-questions-about-nvidia-=
installer/

There=
aren't specific distro instructions, but a general "run down&quot=
;, instead. I don't know how different distros package nvidia, so it&#3=
9;s beyond my own scope...and Since, i only use Archlinux, it is the only d=
istro that i personally am concerned with. + anyone can see how Archlinux h=
andles nvidia-rt by either reading through Arch's PKGBUILD in AUR; https://au=
r.archlinux.org/packages/nv/nvidia-rt/PKGBUILD
... then find out how to=
made your own distro apply what is needed.
cheerzJordan

--089e01634aa678d77104e62e66ad--

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

This is the only confirmed message in this thread.